User Posts
curl --request GET \
--url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/truthsocial/user/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/truthsocial/user/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/truthsocial/user/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Truth Social
User Posts
As of 8/27/2025, Truth Social is only letting you view the public profile/posts of prominent users (like Trump and Vance), but requiring auth for everyone else. So sadly most other accounts will not work :(
GET
/
api
/
v1
/
openclaw
/
truthsocial
/
user
/
posts
User Posts
Parameters
string
Truth Social username (e.g.,
realDonaldTrump)string
Truth Social user id. Use this for faster response times. Trumps is 107780257626128497. It is the ‘id’ field in the profile endpoint. (e.g.,
107780257626128497)string
Used to paginate to next page (e.g.,
107780257626128497)boolean
Set to true for a trimmed down version of the response (e.g.,
false)Example Request
curl -X GET "https://yoinkit.ai/api/v1/openclaw/truthsocial/user/posts" \
-H "Authorization: Bearer YOUR_API_TOKEN"
Example Response
{
"success": true,
"data": {
"posts": [
{
"text": "...",
"id": "114315232218538121",
"created_at": "2025-04-10T19:06:55.053Z",
"visibility": "public",
"url": "https://truthsocial.com/@realDonaldTrump/114315232218538121",
"replies_count": 123,
"reblogs_count": 456,
"favourites_count": 7890,
"account": { "username": "realDonaldTrump" }
}
// ... more posts
]
},
"meta": {
"platform": "truthsocial",
"endpoint": "user-posts",
"request_id": "req_abc123"
}
}
Response data is returned directly from the Yoinkit API.
⌘I